var browser = parseInt(navigator.appVersion), dhtmlType = 0,
    isIE = navigator.userAgent.toLowerCase().indexOf('msie') >= 0,
    isOpera = navigator.userAgent.toLowerCase().indexOf('opera') >= 0,
    isMozilla = navigator.userAgent.toLowerCase().indexOf('mozilla') >= 0,
    defaultNavWidth = 180, defaultDuration = 30;

function GetLastModified() {
 var d = new Date(document.lastModified), res, value="",
 months = "JanFebMarAprMayJunJulAugSepOctNovDec";

 if (GetLastModified.arguments.length>0) value = GetLastModified.arguments[0];
 if (value=="de") { months = "JanFebMarAprMaiJunJulAugSepOktNovDez" };
 if (value=="ru") { months = "янвфевмарапрмайиюниюлавгсепоктноядек" };

 value = d.getYear();
 if (value<70) {value += 2000};
 if (value<1000) {value += 1900};
 if ((value>=1900) && (value<1970)) {value += 100};
 if (browser<4) { res = String(d.getDate())+". "+String(d.getMonth()+1)+". "+value+", "+d.getHours()+":" }
 else { res = String(d.getDate())+" "+months.substr(3*(d.getMonth()),3)+" "+value+", "+d.getHours()+":" };
 value = d.getMinutes();
 if (value<10) { res += "0"+value } else { res += value };
 return res;
}

function ShowStatus(msg) {
 window.status=msg;
 return true;
}

function ClearStatus() {
 return ShowStatus('');
}

function focusIt() {
 if (browser >= 3) window.focus();
}

function preloadImages() {                // Alle Bilder bereits beim Seitenaufruf laden
   if (document.images) {                 // Image-Modul geladen ?
      var ImageArray = new Array;
      for(arg=0; arg<PreloadImages.arguments.length; arg++) {
         ImageArray[arg] = new Image;
         ImageArray[arg].src = PreloadImages.arguments[arg];
      }
   }
}

function swapImage(ImageId, ImageSource){           // Austausch des Bildes
   if (document.images){
      if ((typeof ImageId == 'string') || (typeof ImageId == 'number')) {
         document.images[ImageId].src = ImageSource;
      }
      else if (ImageId && ImageId.src) {
         ImageId.src = ImageSource;
      }
   }
}

function removeFrames() {
 if (top.parent!=self) top.parent.location.href=self.location.href;
}

function checkFramecall() {
 if (browser > 3) {
  var Adresse = location.search;
  if (Adresse) {
   var anURL = Adresse.substring(1, Adresse.length);
   if (anURL.indexOf('http://') >= 0) location.href=anURL;
  }
 }
}

function setCookie(a_name, a_value, a_lifetime) {  // a_lifetime in Tagen
 var now = new Date();
 var expiry = new Date(now.getTime() + a_lifetime*24*60*60*1000);
 if ((a_value != null) && (a_value != ""))
  document.cookie=a_name + "=" + escape(a_value) + "; expires=" + expiry.toGMTString();
 return getCookie(a_name) != null; // Test, ob es geklappt hat
}

function getCookie(a_name) {
 var a_start, an_end;
 if (document.cookie) {
  a_start = document.cookie.indexOf(a_name+"=");
  if (a_start < 0) return null;
  a_start = document.cookie.indexOf("=", a_start) + 1;
  an_end = document.cookie.indexOf(";", a_start);
  if (an_end < 0) an_end = document.cookie.length;
  return unescape(document.cookie.substring(a_start, an_end));
 }
 else return null;
}

function deleteCookie(a_name) {
 var now = new Date();
 var expired = new Date(now.getTime() - 2*24*60*60*1000);  // 2 Tage zurueck
 document.cookie=a_name + "=null; expires=" + expired.toGMTString();
}

function newWindow(url, win_name) {
 var newW = window.open(url, win_name,
  "width=600,height=400,screenX=50,screenY=50,toolbar=no,directories=no,menubar=yes,scrollbars=yes,resizable=yes");
  // nach den Kommas keine Leerraueme eingeben!
 if (browser>2) {
  if (window.moveTo) newW.moveTo(50,50);
  newW.focus();
 }
}

function checkEsc(event) {
 var code = 0;
 if (event.keyCode) code=event.keyCode;
 else if (event.which) code=event.which;
 if (code==27) window.close();
}

function writeCloseWindow () {
 document.write('<a href=\"javascript:window.close()\" accesskey=\"s\">Schlie&szlig;en<\/a>');
}

function addEvent(obj, eventType, afunction, isCapture) {
 // W3C DOM
 if (obj.addEventListener) {
  obj.addEventListener(eventType, afunction, isCapture);
  return true;
 }
 // Internet Explorer
 else if (obj.attachEvent) {
  return obj.attachEvent("on"+eventType, afunction);
 }
 else return false;
}

function removeEvent(obj, eventType, afunction, isCapture) {
 if (obj.removeEventListener) {
  obj.removeEventListener(eventType, afunction, isCapture);
  return true;
 }
 else if (obj.detachEvent) {
  return obj.detachEvent("on"+eventType, afunction);
 }
 else return false;
}

function processAnchorEvent(event) {
 if ((event.type=="mouseover") || (event.type=="focus")) {
  // Internet Explorer
  if (event.srcElement) window.status=event.srcElement.getAttribute("title");
  // W3C DOM
  if (event.currentTarget) {
   window.status=event.currentTarget.getAttribute("title");
   /* event.stopPropagation(); */
   if (event.cancelable) event.preventDefault();
  }
 }
 if ((event.type=="mouseout") || (event.type=="blur")) {
  if (event.srcElement) window.status="";
  if (event.currentTarget) {
   window.status="";
   /* event.stopPropagation(); */
   if (event.cancelable) event.preventDefault();
   // in case of mouseout anything should be done for focused links.
  }
 }
 return true; // for IE, identical to event.preventDefault()
}

function initAnchorStatus() {
 var anchorList, aTitle, i;

 if (document.getElementsByTagName) {
  anchorList=document.getElementsByTagName("a");
  if (anchorList.length>0)
   for (i=0; i<anchorList.length; i++) {
    aTitle=anchorList[i].getAttribute("title");
    if ((aTitle!=null) && (aTitle!="")) {
     addEvent(anchorList[i], "mouseover", processAnchorEvent, false);
     addEvent(anchorList[i], "focus", processAnchorEvent, false);
     addEvent(anchorList[i], "mouseout", processAnchorEvent, false);
     addEvent(anchorList[i], "blur", processAnchorEvent, false);
    }
   }
 }
}

function initAnchorStatus() {
 var anchorList, aTitle, i;

 if (document.getElementsByTagName) {
  anchorList=document.getElementsByTagName("a");
  if (anchorList.length>0)
   for (i=0; i<anchorList.length; i++) {
    aTitle=anchorList[i].getAttribute("title");
    if ((aTitle!=null) && (aTitle!="")) {
     addEvent(anchorList[i], "mouseover", processAnchorEvent, false);
     addEvent(anchorList[i], "focus", processAnchorEvent, false);
     addEvent(anchorList[i], "mouseout", processAnchorEvent, false);
     addEvent(anchorList[i], "blur", processAnchorEvent, false);
    }
   }
 }
}

function addImgTitles() {
 var imgList, aTitle, anAlt, i;

 if (document.getElementsByTagName) {
  imgList=document.getElementsByTagName("img");
  if (imgList.length>0)
   for (i=0; i<imgList.length; i++) {
    aTitle=imgList[i].getAttribute("title");
    anAlt=imgList[i].getAttribute("alt");
    if (((anAlt!=null) && (anAlt!="")) && ((aTitle==null) || (aTitle==""))) {
     imgList[i].setAttribute("title", anAlt)
    }
   }
 }
}

function showIfOnline() {
 var aTag;

 if ((document.getElementById) && (location.protocol == "http:")) {
  aTag=document.getElementById("download");
  if (aTag) aTag.style.display = 'block';
  aTag=document.getElementById("download2");
  if (aTag) aTag.style.display = 'block';
  aTag=document.getElementById("ifOnline");
  if (aTag) aTag.style.display = 'block';
 }
}

function initPage() {
 removeFrames();

 // Verbreiterung Bildschirmflaeche fuer IE, wenn es Bildschirm zulaesst
 // aber nicht bei Bildern. Beim IE funktioniert getAttribute("class")
 // nicht, deshalb anObj.className

 if (isIE && (screen.Width>=1000) && (document.getElementById)) {
  var anObj = document.getElementById("main");
  if (anObj.className != "figure") {
   anObj.style.width = "51em";
   anObj = document.getElementById("container");
   if (anObj) anObj.style.width = "51em";
  }
 }

 initAnchorStatus();
 addImgTitles();
 showIfOnline();

 focusIt();
}

function initContentsPage() {
 initAnchorStatus();
 addImgTitles();
}
